Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.ode
Interface ExtendedFirstOrderDifferentialEquations

All Superinterfaces:
  FirstOrderDifferentialEquations

    public interface ExtendedFirstOrderDifferentialEquations

extends FirstOrderDifferentialEquations

This interface represents a first order differential equations set with a main set of equations and an extension set.

This interface is a simple extension on the `FirstOrderDifferentialEquations` that allows to identify which part of a complete set of differential equations correspond to the main set and which part correspond to the extension set.

One typical use case is the computation of Jacobians. The main set of equations correspond to the raw ode, and we add to this set another bunch of equations which represent the jacobians of the main set. In that case, we want the integrator to use only the main set to estimate the errors and hence the step sizes. It should not use the additional equations in this computation. If the complete ode implements this interface, the `integrator` will be able to know where the main set ends and where the extended set begins.

We consider that the main set always corresponds to the first equations and the extended set to the last equations.

Since:
  2.2
Version:
  $Revision: 980981 $ $Date: 2010-07-31 00:03:04 +0200 (sam. 31 juil. 2010) $
See Also:
  `FirstOrderDifferentialEquations`

Method Summary
`int` | `getMainSetDimension()` Return the dimension of the main set of equations.

Methods inherited from interface org.apache.commons.math.ode.FirstOrderDifferentialEquations
`computeDerivatives, getDimension`

Method Detail

### getMainSetDimension

    int getMainSetDimension()

  Return the dimension of the main set of equations.

  The main set of equations represent the first part of an ODE state. The error estimations and adaptive step size computation should be done on this first part only, not on the final part of the state which represent an extension set of equations which are considered secondary.

  Returns:
    dimension of the main set of equations, must be lesser than or equal to the `total dimension`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.